package com.tcctlo.law.entity;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 审核记录表
 * </p>
 *
 * @author 
 * @since 2025-02-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("audit_record")
public class AuditRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联案件ID
     */
    private Long caseId;

    /**
     * 审核人ID（关联系统用户表）
     */
    private Long userId;

    /**
     * 审核人名称
     */
    private String userName;

    /**
     * 审核内容
     */
    private String auditContent;

    /**
     * 审核状态【0：未审核，1：审核通过，2：审核不通过】
     */
    private Integer auditResult;

    /**
     * 状态【0：正常，1：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    @TableLogic
    private Integer delFag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */

    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remake;

}
