package com.tcctlo.law.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctlo.law.entity.ContractFormParameter;
import com.tcctlo.law.mapper.ContractFormParameterMapper;
import com.tcctlo.law.service.IContractFormParameterService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* <p>
* 合同表单参数 服务实现类
* </p>
*
* @author 
* @since 2025-02-21
*/
@Service
public class ContractFormParameterServiceImpl extends ServiceImpl<ContractFormParameterMapper,ContractFormParameter> implements IContractFormParameterService {


    @Resource
    private ContractFormParameterMapper contractFormParameterMapper;

    @Override
    public Page<ContractFormParameter> list(Integer pageNo, Integer pageSize) {
        return contractFormParameterMapper.selectPage(new Page<>(pageNo, pageSize), new QueryWrapper<>());
    }

    @Override
    public ContractFormParameter getById(Long id) {
        ContractFormParameter contractFormParameter = contractFormParameterMapper.selectById(id);
        return contractFormParameter;
    }

    @Override
    public Integer create(ContractFormParameter contractFormParameter) {
        return contractFormParameterMapper.insert(contractFormParameter);
    }

    @Override
    public Integer delete(Long id) {
        return contractFormParameterMapper.deleteById(id);
    }

    @Override
    public Integer update(ContractFormParameter contractFormParameter) {
        return contractFormParameterMapper.updateById(contractFormParameter);
    }

}
